std::type_info(3)

NAME
std::type_info -

SYNOPSIS

Detailed Description

The type_info class describes type information generated by an implementation.

Definition at line 67 of file typeinfo.

  Public Member Functions
virtual bool __do_catch (const type_info *__thr_type, void **__thr_obj, unsigned __outer) const
virtual bool __do_upcast (const __cxxabiv1::__class_type_info *__target, void **__obj_ptr) const
virtual bool __is_function_p () const
virtual bool __is_pointer_p () const
bool before (const type_info &__arg) const
const char * name () const
bool operator!= (const type_info &__arg) const
bool operator== (const type_info &__arg) const
virtual ~type_info ()

  Protected Member Functions
type_info (const char *__n)

  Protected Attributes
const char * __name

Constructor & Destructor Documentation

  virtual ~type_info () [virtual]

Destructor. Being the first non-inline virtual function, this controls in which translation unit the vtable is emitted. The compiler makes use of that information to know where to emit the runtime-mandated type_info structures in the new-abi.

Member Function Documentation

  const char* name () const [inline]

Returns an implementation-defined byte string; this is not portable between compilers!

Definition at line 91 of file typeinfo.

References type_info::__name.

Author

Generated automatically by Doxygen for libstdc++ from the source code.